Liferay.Loader.define("commerce-frontend-js@3.0.43/ServiceProvider/commerce-admin-catalog/v1.0/Product", ['module', 'exports', 'require', '../../../utilities/AJAX/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../../../utilities/AJAX/index"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var PRODUCTS_PATH = '/products';
    var VERSION = 'v1.0';

    function resolveProductsPath() {
      var basePath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      var productId = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      return "".concat(basePath).concat(VERSION).concat(PRODUCTS_PATH, "/").concat(productId);
    }

    var _default = function _default(basePath) {
      return {
        createProduct: function createProduct(json) {
          return _index.default.POST(resolveProductsPath(basePath), json);
        },
        getProductById: function getProductById(productId) {
          return _index.default.GET(resolveProductsPath(basePath, productId));
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=Product.js.map
  }
});
//# sourceMappingURL=Product.js.map