Liferay.Loader.define("commerce-frontend-js@3.0.43/ServiceProvider/commerce-admin-pricing/v2.0/DiscountRule", ['module', 'exports', 'require', '../../../utilities/AJAX/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../../../utilities/AJAX/index"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var DISCOUNTS_PATH = '/discounts';
    var DISCOUNT_RULES_PATH = '/discount-rules';
    var VERSION = 'v2.0';

    function resolvePath() {
      var basePath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      var discountId = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      return "".concat(basePath).concat(VERSION).concat(DISCOUNTS_PATH, "/").concat(discountId, "/").concat(DISCOUNT_RULES_PATH);
    }

    function resolveRulePath() {
      var basePath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      var discountRuleId = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      return "".concat(basePath).concat(VERSION).concat(DISCOUNT_RULES_PATH, "/").concat(discountRuleId);
    }

    var _default = function _default(basePath) {
      return {
        addDiscountRule: function addDiscountRule(discountId, json) {
          return _index.default.POST(resolvePath(basePath, discountId), json);
        },
        updateDiscountRule: function updateDiscountRule(discountRuleId, json) {
          return _index.default.PATCH(resolveRulePath(basePath, discountRuleId), json);
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=DiscountRule.js.map
  }
});
//# sourceMappingURL=DiscountRule.js.map