Liferay.Loader.define("commerce-frontend-js@3.0.43/components/data_renderers/DateRenderer", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function DateRenderer(props) {
      if (!props.value) {
        return null;
      }

      var locale = Liferay.ThemeDisplay.getLanguageId().replace('_', '-');
      var dateOptions = props.options.format || {
        day: 'numeric',
        hour: 'numeric',
        minute: 'numeric',
        month: 'short',
        second: 'numeric',
        year: 'numeric'
      };
      var formattedDate = new Intl.DateTimeFormat(locale, dateOptions).format(new Date(props.value));
      return formattedDate;
    }

    DateRenderer.propTypes = {
      options: _propTypes.default.shape({
        format: _propTypes.default.object
      }),
      value: _propTypes.default.string.isRequired
    };
    var _default = DateRenderer;
    exports.default = _default;
    //# sourceMappingURL=DateRenderer.js.map
  }
});
//# sourceMappingURL=DateRenderer.js.map