Liferay.Loader.define("commerce-frontend-js@3.0.43/components/dataset_display/views/index", ['module', 'exports', 'require', './cards/Cards', './emails_list/EmailsList', './list/List', './selectable_table/SelectableTable', './table/Table', './timeline/Timeline'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.getViewById = getViewById;

    var _Cards = _interopRequireDefault(require("./cards/Cards"));

    var _EmailsList = _interopRequireDefault(require("./emails_list/EmailsList"));

    var _List = _interopRequireDefault(require("./list/List"));

    var _SelectableTable = _interopRequireDefault(require("./selectable_table/SelectableTable"));

    var _Table = _interopRequireDefault(require("./table/Table"));

    var _Timeline = _interopRequireDefault(require("./timeline/Timeline"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var views = [{
      component: _Table.default,
      id: 'table'
    }, {
      component: _SelectableTable.default,
      id: 'selectableTable'
    }, {
      component: _Timeline.default,
      id: 'timeline'
    }, {
      component: _EmailsList.default,
      id: 'emailsList'
    }, {
      component: _List.default,
      id: 'list'
    }, {
      component: _Cards.default,
      id: 'cards'
    }];

    function getViewById(requestedContentRendererId) {
      return new Promise(function (resolve) {
        views.forEach(function (view) {
          if (view.id === requestedContentRendererId) {
            resolve(view.component);
          }
        });
        throw new Error("No content renderer found with the ID: \"".concat(requestedContentRendererId, "\""));
      });
    }
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map