Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/management_bar/components/filters/index", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/loading-indicator', 'frontend-js-react-web$react', '../../../utilities/modules', './AutocompleteFilter', './CheckboxesFilter', './DateRangeFilter', './NumberFilter', './RadioFilter', './TextFilter'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Filter = Filter;
    exports.filterIdToComponentMap = void 0;

    var _loadingIndicator = _interopRequireDefault(require("@frontend-taglib-clay$clayui/loading-indicator"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _modules = require("../../../utilities/modules");

    var _AutocompleteFilter = _interopRequireDefault(require("./AutocompleteFilter"));

    var _CheckboxesFilter = _interopRequireDefault(require("./CheckboxesFilter"));

    var _DateRangeFilter = _interopRequireDefault(require("./DateRangeFilter"));

    var _NumberFilter = _interopRequireDefault(require("./NumberFilter"));

    var _RadioFilter = _interopRequireDefault(require("./RadioFilter"));

    var _TextFilter = _interopRequireDefault(require("./TextFilter"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var filterIdToComponentMap = {
      autocomplete: _AutocompleteFilter.default,
      checkbox: _CheckboxesFilter.default,
      dateRange: _DateRangeFilter.default,
      number: _NumberFilter.default,
      radio: _RadioFilter.default,
      text: _TextFilter.default
    };
    exports.filterIdToComponentMap = filterIdToComponentMap;

    function Filter(props) {
      var moduleURL = props.moduleURL,
          type = props.type;

      var _useState = (0, _react.useState)(function () {
        if (!moduleURL) {
          var Matched = filterIdToComponentMap[type];

          if (!Matched) {
            throw new Error("Filter type '".concat(type, "' not found."));
          }

          return Matched;
        } else {
          return null;
        }
      }),
          _useState2 = _slicedToArray(_useState, 2),
          Component = _useState2[0],
          updateComponent = _useState2[1];

      (0, _react.useEffect)(function () {
        if (moduleURL) {
          (0, _modules.getComponentByModuleURL)(moduleURL).then(function (FetchedComponent) {
            return updateComponent(function () {
              return FetchedComponent;
            });
          });
        }
      }, [moduleURL]);
      return Component ? /*#__PURE__*/_react.default.createElement("div", {
        className: "data-set-filter"
      }, /*#__PURE__*/_react.default.createElement(Component, props)) : /*#__PURE__*/_react.default.createElement(_loadingIndicator.default, {
        small: true
      });
    }
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map