Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/utilities/debounce", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = debounce;

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function debounce(func, wait, immediate) {
      var _arguments = arguments,
          _this = this;

      var timeout;
      return function () {
        var context = _this;
        var args = _arguments;

        var callNow = immediate && !timeout;
        clearTimeout(timeout);
        timeout = setTimeout(function later() {
          timeout = null;

          if (!immediate) {
            func.apply(context, args);
          }
        }, wait);

        if (callNow) {
          func.apply(context, args);
        }
      };
    }
    //# sourceMappingURL=debounce.js.map
  }
});
//# sourceMappingURL=debounce.js.map