Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/views/list/List", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/list', '@frontend-taglib-clay$clayui/sticker', 'frontend-taglib-clay$classnames', 'frontend-taglib-clay$prop-types', 'frontend-js-react-web$react', '../../data_renderers/ActionsDropdownRenderer', '../../data_renderers/ImageRenderer'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _list = _interopRequireDefault(require("@frontend-taglib-clay$clayui/list"));

    var _sticker = _interopRequireDefault(require("@frontend-taglib-clay$clayui/sticker"));

    var _classnames = _interopRequireDefault(require("frontend-taglib-clay$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-taglib-clay$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ActionsDropdownRenderer = _interopRequireDefault(require("../../data_renderers/ActionsDropdownRenderer"));

    var _ImageRenderer = _interopRequireDefault(require("../../data_renderers/ImageRenderer"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function List(_ref) {
      var dataSetDisplayContext = _ref.dataSetDisplayContext,
          items = _ref.items,
          _ref$schema = _ref.schema,
          description = _ref$schema.description,
          image = _ref$schema.image,
          sticker = _ref$schema.sticker,
          symbol = _ref$schema.symbol,
          title = _ref$schema.title;

      var _useContext = (0, _react.useContext)(dataSetDisplayContext),
          itemActions = _useContext.itemActions,
          selectItems = _useContext.selectItems,
          selectedItemsKey = _useContext.selectedItemsKey,
          selectedItemsValue = _useContext.selectedItemsValue,
          selectionType = _useContext.selectionType;

      return (/*#__PURE__*/_react.default.createElement(_list.default, null, items.map(function (item, i) {
          return (/*#__PURE__*/_react.default.createElement(_list.default.Item, {
              className: (0, _classnames.default)(i ? 'border-left-0 border-bottom-0 border-right-0' : 'border-0'),
              flex: true,
              key: item.id
            }, /*#__PURE__*/_react.default.createElement(_list.default.ItemField, {
              className: "justify-content-center"
            }, selectionType === 'single' ? /*#__PURE__*/_react.default.createElement(_form.ClayRadio, {
              checked: selectedItemsValue.map(function (element) {
                return String(element);
              }).includes(String(item[selectedItemsKey])),
              onChange: function onChange() {
                return selectItems(item[selectedItemsKey]);
              }
            }) : /*#__PURE__*/_react.default.createElement(_form.ClayCheckbox, {
              checked: selectedItemsValue.map(function (element) {
                return String(element);
              }).includes(String(item[selectedItemsKey])),
              onChange: function onChange() {
                return selectItems(item[selectedItemsKey]);
              }
            })), image && item[image] ? /*#__PURE__*/_react.default.createElement(_list.default.ItemField, null, /*#__PURE__*/_react.default.createElement(_ImageRenderer.default, {
              sticker: sticker && item[sticker],
              value: {
                src: item[image]
              }
            })) : symbol && item[symbol] && /*#__PURE__*/_react.default.createElement(_list.default.ItemField, null, /*#__PURE__*/_react.default.createElement(_sticker.default, sticker && item[sticker], item[symbol] && /*#__PURE__*/_react.default.createElement(_icon.default, {
              symbol: item[symbol]
            }))), /*#__PURE__*/_react.default.createElement(_list.default.ItemField, {
              className: "justify-content-center",
              expand: true
            }, title && /*#__PURE__*/_react.default.createElement(_list.default.ItemTitle, null, item[title]), description && /*#__PURE__*/_react.default.createElement(_list.default.ItemText, null, item[description])), /*#__PURE__*/_react.default.createElement(_list.default.ItemField, null, (itemActions || item.actionDropdownItems) && /*#__PURE__*/_react.default.createElement(_ActionsDropdownRenderer.default, {
              actions: itemActions || item.actionDropdownItems,
              itemData: item,
              itemId: item[selectedItemsKey] || i
            })))
          );
        }))
      );
    }

    List.defaultTypes = {
      activeItemValue: ''
    };
    var _default = List;
    exports.default = _default;
    //# sourceMappingURL=List.js.map
  }
});
//# sourceMappingURL=List.js.map