Liferay.Loader.define("depot-web@1.0.90/js/ManageLanguages.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/label', '@frontend-taglib-clay$clayui/modal', '@frontend-taglib-clay$clayui/table', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _label = _interopRequireDefault(require("@frontend-taglib-clay$clayui/label"));

    var _modal = _interopRequireDefault(require("@frontend-taglib-clay$clayui/modal"));

    var _table = _interopRequireDefault(require("@frontend-taglib-clay$clayui/table"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var noop = function noop() {};

    var ManageLanguages = function ManageLanguages(_ref) {
      var availableLocales = _ref.availableLocales,
          customDefaultLocaleId = _ref.customDefaultLocaleId,
          customLocales = _ref.customLocales,
          observer = _ref.observer,
          _ref$onModalClose = _ref.onModalClose,
          onModalClose = _ref$onModalClose === void 0 ? noop : _ref$onModalClose,
          _ref$onModalDone = _ref.onModalDone,
          onModalDone = _ref$onModalDone === void 0 ? noop : _ref$onModalDone;

      var _useState = (0, _react.useState)(customLocales),
          _useState2 = _slicedToArray(_useState, 2),
          selectedLocales = _useState2[0],
          setSelectedLocales = _useState2[1];

      var _useState3 = (0, _react.useState)(selectedLocales.map(function (_ref2) {
        var localeId = _ref2.localeId;
        return localeId;
      })),
          _useState4 = _slicedToArray(_useState3, 2),
          selectedLocalesIds = _useState4[0],
          setSelectedLocalesIds = _useState4[1];

      var onChangeLocale = function onChangeLocale(checked, displayName, selectedLocaleId) {
        if (checked) {
          setSelectedLocales(selectedLocales.concat({
            displayName: displayName,
            localeId: selectedLocaleId
          }));
        } else {
          setSelectedLocales(selectedLocales.filter(function (_ref3) {
            var localeId = _ref3.localeId;
            return localeId != selectedLocaleId;
          }));
        }
      };

      (0, _react.useEffect)(function () {
        setSelectedLocalesIds(selectedLocales.map(function (_ref4) {
          var localeId = _ref4.localeId;
          return localeId;
        }));
      }, [selectedLocales]);

      var Language = function Language(_ref5) {
        var displayName = _ref5.displayName,
            isDefault = _ref5.isDefault,
            localeId = _ref5.localeId;
        var checked = selectedLocalesIds.indexOf(localeId) != -1;
        return (/*#__PURE__*/_react.default.createElement(_table.default.Row, null, /*#__PURE__*/_react.default.createElement(_table.default.Cell, null, /*#__PURE__*/_react.default.createElement(_form.ClayCheckbox, {
            checked: checked,
            disabled: isDefault,
            label: displayName,
            onChange: function onChange() {
              onChangeLocale(!checked, displayName, localeId);
            }
          }, isDefault && /*#__PURE__*/_react.default.createElement(_label.default, {
            className: "ml-3",
            displayType: "info"
          }, Liferay.Language.get('default')))))
        );
      };

      return (/*#__PURE__*/_react.default.createElement(_modal.default, {
          observer: observer,
          size: "md"
        }, /*#__PURE__*/_react.default.createElement(_modal.default.Header, null, Liferay.Language.get('language-selection')), /*#__PURE__*/_react.default.createElement(_modal.default.Body, {
          scrollable: true
        }, /*#__PURE__*/_react.default.createElement(_table.default, {
          borderless: true,
          headVerticalAlignment: "middle"
        }, /*#__PURE__*/_react.default.createElement(_table.default.Body, null, availableLocales.map(function (locale) {
          return (/*#__PURE__*/_react.default.createElement(Language, _extends({}, locale, {
              isDefault: customDefaultLocaleId === locale.localeId,
              key: locale.localeId
            }))
          );
        })))), /*#__PURE__*/_react.default.createElement(_modal.default.Footer, {
          last: /*#__PURE__*/_react.default.createElement(_button.default.Group, {
            spaced: true
          }, /*#__PURE__*/_react.default.createElement(_button.default, {
            displayType: "secondary",
            onClick: onModalClose
          }, Liferay.Language.get('cancel')), /*#__PURE__*/_react.default.createElement(_button.default, {
            displayType: "primary",
            onClick: function onClick() {
              return onModalDone(selectedLocales);
            }
          }, Liferay.Language.get('done')))
        }))
      );
    };

    function _default(props) {
      return (/*#__PURE__*/_react.default.createElement(ManageLanguages, props)
      );
    }
    //# sourceMappingURL=ManageLanguages.es.js.map
  }
});
//# sourceMappingURL=ManageLanguages.es.js.map